.sensecode-map-button{
    display: block;
    background-color: white;
    cursor: pointer;
    padding: 5px 10px;
    position: relative;
}
.sensecode-map-button::after{
    /* content: ""; */
    transition: all .2s ease-in-out;
    position : absolute;
    width: 100%;
    height: 100%;
    top:0px;
    left:0px;
}

.sensecode-map-button:hover::after{
    background-color: rgba(0, 0, 0, 0.020);
}





.leaflet-draw-draw-circlemarker, .leaflet-draw-edit-edit{
    display: none !important;
}


/* .leaflet-top.leaflet-left .leaflet-draw.leaflet-control{ */
.leaflet-top.leaflet-left{
    display: none;
}

/* css to customize Leaflet default styles  */
.custom .leaflet-popup-tip,
.custom .leaflet-popup-content-wrapper {
    background: #e93434;
    color: #ffffff;
}


.erakita-marker-container{
    position: relative;
    background-color: transparent !important;
    border: transparent !important;
}
.erakita-marker-label{
    transition: all .2s ease-in-out;
    position: absolute;
    width: auto;
    white-space: nowrap;
    padding: 1px 5px;
    background-color: white;
    transform: translate(-50%,-100%);
    margin-left: 6px;
} 
.erakita-marker-container.tipe-listing1>.erakita-marker-label{
    background-color: var(--bg-sewa);
    color: white;
} 
.erakita-marker-container.tipe-listing2>.erakita-marker-label{
    background-color: var(--bg-jualsewa);
    color: white;
} 
.erakita-marker-container.tipe-listing0>.erakita-marker-label{
    background-color: var(--bg-jual);
    color: white;
} 
.erakita-marker-container.tipe-listing-cluster>.erakita-marker-label{
    background-color: green;
    color: white;
}
.erakita-marker-container.activeMarker>.erakita-marker-label{
    border: 2px solid black;
    color: white;
} 

.erakita-marker-container::after {
    content: "";
    width: 100%;
    position: absolute;
    height: 50%;
    top: 0px;
    left: 0px;
    clip-path: polygon(50% 100%, 0 0, 100% 0);
}

.erakita-marker-container.tipe-listing0::after {
    background-color: var(--bg-jual);
}   
.erakita-marker-container.tipe-listing1::after {
    background-color: var(--bg-sewa);
}   
.erakita-marker-container.tipe-listing2::after {
    background-color: var(--bg-jualsewa);
}   
.erakita-marker-container.tipe-listing-cluster::after {
    background-color: green;
}   
.erakita-marker-container.activeMarker::after {
    background-color: black;
}   


.cluster-inner{
    position: absolute;
    background-color: green;
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    color: white;
    transition: transform .2s ease-in-out;
}
.cluster-inner:hover{
    transform: scale(1.25);
}
.cluster-inner>div{
    z-index: 1;
}
.cluster-inner::before{
    transition: width .2s ease-in-out, height .2s ease-in-out;
    z-index: 0;
    content: "";
    position: absolute;
    background-color: green;
    width: 150%;
    height: 150%;
    border-radius: 50%;
    opacity: 0.5;
}
.cluster-inner:hover::before{
    width: 175%;
    height: 175%;
}
div[image="default"]{
    background-image: url('/assets/img/1.jpg');
}
.div-image{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}


.div-image.ratio11::before{
    content: "";
    display: block;
    padding-top: 100%;
}
.div-image.ratio69::before{
    content: "";
    display: block;
    padding-top: calc(calc(6 / 9) * 100%);
}
